<!DOCTYPE html>
<html lang="en">
<head>
  <title>My blog website</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
  <style>
  .fakeimg {
    height: 200px;
    background: #aaa;
  }
  footer{
      position: float;
      width: 100%;
      bottom: 0px;
      }
  .some-align{
    margin: 40px
  }
  </style>
</head>
<body>

<div class="p-5 bg-primary text-white text-center">
  <h1>My First Blog Website</h1>
  <p>Resize this responsive page to see the effect!</p>
</div>

<nav class="navbar navbar-expand-sm bg-dark navbar-dark">
  <div class="container-fluid">
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link {% if request.path == '/'%} active {% endif %}" href="{% url 'home' %}">Home</a>
      </li>
      <li class="nav-item">
        <a class="nav-link {% if request.path == '/about/'%} active {% endif %}" href="{% url 'about' %}">About</a>
      </li>
      <li class="nav-item">
        <a class="nav-link {% if request.path == '/contact/'%} active {% endif %}" href="{% url 'contact' %}">Contact us</a>
      </li>
    </ul>
    <ul class="navbar-nav ms-auto">
      {% if user.is_authenticated %}
      <li class="nav-item">
        <a class="nav-link" href="#">{{user.username}}</a>
      </li>

      <li class="nav-item">
        <form method="post" action="{% url 'logout' %}">
        {% csrf_token %}
        <button class="nav-link" type="submit">logout</button>
        </form>
      </li>
      {% else %}
      <li class="nav-item">
        <a class="nav-link" href="{% url 'login' %}">Login</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'signup' %}">Sign Up</a>
      </li>
      {% endif %}
    </ul>
  </div>
</nav>

<div class="container-fluid">
{% block content %}

{% endblock %}
</div>
<footer class="bg-dark text-white text-center">
  <p>&copy Created by &#9731 &reg</p>
</footer>

</body>
</html>
